Welcome to the Office Mac Help Site About | Blog | Links | Glossary | Feedback | Downloads | Help

Error

"This Identity Cannot Be Opened With This Version of Entourage/Outlook"

This message usually means, for example,

  • Entourage is at 12.0.0, but the saved database was saved in a more updated version. Once you update, the Identity will open.
  • Outlook is at 14.0.0, but the saved database was saved in a more updated version. Once you update, the Identity will open.

Users that have re-installed Office and have not updated will find their Identity will not open:

There was an upgrade to the Entourage 2004 Identity shortly after release. If you update to at least 11.3.5, the Identity will open.

The Entourage 2008 database also received an upgrade with SP1 (12.1.0) This means if you re-install from the DVD, your Identity will not open until you update to at least 12.1.0.

Outlook for Mac 2011 received a database upgrade shortly after release. Update to 14.0.2 or later and the Identity will open.

You can download via "Check for Updates" under Help in the Outlook menu bar or visit Office for Mac Downloads.